Page MenuHomePhabricator

Allow page previews to have multiple delays
Closed, DeclinedPublic

Description

Background: Based on the discussion in T70861: Performance review #2 of Hovercards (Popups extension), we will need to A/B test the delays on page previews. We would like to compare the current delay (700ms) to the proposed delay (500ms)
Acceptance Criteria

  • Page previews supports multiple (2) delays per wiki, each set at a configurable sampling rate (if testing on a smaller wiki, we can probably do 50%)
  • The page previews schema is updated to track which delay is currently used

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2017, 3:39 PM
ovasileva triaged this task as High priority.Apr 21 2017, 3:39 PM
Jdlrobson moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

There's no rationale on this task to why we want to do this and what question we are trying to answer. It would be good to summarise that here rather than point to discussion on T70861

ovasileva lowered the priority of this task from High to Low.May 11 2017, 12:56 PM
Jdlrobson closed this task as Declined.Jun 14 2017, 4:07 AM

I think this can be declined per https://phabricator.wikimedia.org/T70861#3253457.
Please let me know if I've made a mistake!

ovasileva reopened this task as Stalled.Jun 14 2017, 11:35 AM
ovasileva lowered the priority of this task from Low to Lowest.

@Jdlrobson, this is a bit different than https://phabricator.wikimedia.org/T70861#3253457, it was a feature request by editors to customize the delays on previews. Would like to keep this on the page previews board in case it comes up in conversation later on, marking as stalled and lowest for now.

The task seems to have been created for T70861. If we are repurposing this @ovasileva could you please update the description? It doesn't mention editors at all.

ovasileva closed this task as Declined.Jun 14 2017, 3:32 PM

@Jdlrobson - my bad, I was referring to a different one. You were right!!